package com.pancik.ciernypetrzlen.engine.component.entity.loot;

public class MonsterLoot extends Loot {

    public MonsterLoot(int level) {
        int lootLevel = Math.max(1, level/2);
        int magicalLootLevel = level/5;
        
        for(int i = 0; i < lootLevel; i++) {
            addRandomFood(5.0f, level);
            addPicklock(1.0f);
            addRandomPotion(2.0f);
            addRandomPotion(2.0f);
            addRandomEquipment(0.5f);
        }

        addRandomMagicalEquipment(magicalLootLevel);
    }
}
