package com.pancik.ciernypetrzlen.engine.component.spell;

import com.badlogic.gdx.graphics.g2d.TextureRegion;

public abstract class Buff {
    public static enum Stat {
        ATTACK,
        DEFENSE,
        HEALTH,
        MANA,
        ATTACK_SPEED,
        MOVEMENT_SPEED,
    }
    
    public abstract void refresh();
    public abstract void tick();
    public abstract void damageTaken(int damage);
    public abstract boolean remove();
    public abstract TextureRegion getIcon();
    public abstract String getName();
    public abstract float getScalarModifier(Stat stat);
    public abstract float getPercentualModifier(Stat stat);
}
