package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class KeySilver extends Item {
    public KeySilver() {
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-key-silver");
    }

    @Override
    protected Color getNameColor() {
        return new Color(0.733f, 0.733f, 0.733f, 1.0f);
    }

    @Override
    public String getName() {
        return "Silver Key";
    }

    @Override
    protected Attribute[] getAttributes() {
        return null;
    }

    @Override
    protected String getText() {
        return "Oh not-so-shiny!";
    }

    @Override
    public int getTransmuteValue() {
        return -1;
    }
}
