package com.pancik.ciernypetrzlen.starters;

import com.badlogic.gdx.Files;
import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;
import com.pancik.ciernypetrzlen.MainApplicationListener;

public class WindowsStarter {
    public static void main(String[] args) {
        /*
        TexturePacker2.Settings settings = new TexturePacker2.Settings();
        settings.maxWidth = 1024;
        settings.maxHeight = 1024;
        settings.filterMin = Texture.TextureFilter.Nearest;
        settings.filterMag = Texture.TextureFilter.Nearest;
        settings.paddingX = 2;
        settings.paddingY = 2;
        TexturePacker2.process(settings, "data/drawable/atlas", "data/drawable/packed", "textures");
        */
        
        LwjglApplicationConfiguration config = new LwjglApplicationConfiguration();
        config.width = 800;
        config.height = 600;
        config.title = "Dungeon Madness";
        //config.vSyncEnabled = true;
        config.samples = 4;
        config.useGL20 = true;
        
        config.addIcon("data/drawable/icon/icon128x128.png", Files.FileType.Internal);
        config.addIcon("data/drawable/icon/icon32x32.png", Files.FileType.Internal);
        config.addIcon("data/drawable/icon/icon16x16.png", Files.FileType.Internal);
        
        new LwjglApplication(new MainApplicationListener(), config);
    }
}