package com.pancik.ciernypetrzlen.engine.component.entity;

import com.badlogic.gdx.math.Vector2;
import com.badlogic.gdx.math.Vector3;
import com.badlogic.gdx.math.collision.Ray;

public interface Interactable {
    public Vector2 getPosition();
    public void interact();
    public void highlight();
    public void dehighlight();
    public boolean isHighlighted();
    public boolean getClosestIntersection(Ray ray, Vector3 out);
    public String getName();
    public float getPercentualHealth();
}
