package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class KeyGold extends Item {
    public KeyGold() {
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-key-gold");
    }

    @Override
    protected Color getNameColor() {
        return new Color(1.0f, 0.847f, 0.0f, 1.0f);
    }

    @Override
    public String getName() {
        return "Gold Key";
    }

    @Override
    protected Attribute[] getAttributes() {
        return null;
    }

    @Override
    protected String getText() {
        return "Oh shiny!";
    }

    @Override
    public int getTransmuteValue() {
        return -1;
    }
}
