package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class Paper extends Item {
    public Paper() {
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-paper");
    }

    @Override
    protected Color getNameColor() {
        return GREY;
    }

    @Override
    public String getName() {
        return "Paper";
    }

    @Override
    protected Attribute[] getAttributes() {
        return null;
    }

    @Override
    protected String getText() {
        return "Nice! I always wanted a paper with text in Spanish on it! -Usted no debe ser capaz de leer esto. Si puedes, por favor, actuar como si realmente gracioso-";
    }
    
    @Override
    public int getTransmuteValue() {
        return 2;
    }
}
