package com.pancik.ciernypetrzlen.screens;

import com.pancik.ciernypetrzlen.MainApplicationListener;
import com.pancik.ciernypetrzlen.MainApplicationListener.Controls;

public abstract class Screen {
    protected MainApplicationListener.Controls mainControls;

    public Screen(Controls mainControls) {
        this.mainControls = mainControls;
    }
    
    public void updateMainControls(Controls mainControls) {
        this.mainControls = mainControls;
    }

    public abstract void create();
    public abstract void pause();
    public abstract void resume();
    public abstract void resize(int sizeX, int sizeY);
    public abstract void dispose();
    
    public abstract void tick();
    public abstract void render();
    public abstract void renderUI();
}