package com.pancik.ciernypetrzlen.screens;

import com.pancik.ciernypetrzlen.MainApplicationListener.Controls;
import com.pancik.ciernypetrzlen.engine.gui.WonGameWindow;

public class WonGameScreen extends Screen {
    private WonGameWindow menu;
    
    public WonGameScreen(Controls mainControls) {
        super(mainControls);
    }
    
    @Override
    public void create() {
        mainControls.playMenuMusic();
        menu = new WonGameWindow(mainControls);
        menu.setVisibility(true);
    }

    @Override
    public void tick() {
        menu.tick();
    }

    @Override
    public void render() {
    }

    @Override
    public void renderUI() {
        menu.renderUI();
    }
    
    @Override
    public void pause() {
    }

    @Override
    public void resume() {
    }
    
    @Override
    public void dispose() {
        menu.dispose();
    }

    @Override
    public void updateMainControls(Controls mainControls) {
        super.updateMainControls(mainControls);
    }

    @Override
    public void resize(int sizeX, int sizeY) {
        menu.resize(sizeX, sizeY);
    }
}